diff --git a/changelog b/changelog
index 55627d5..812e822 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,5 @@
+20141228 tpd src/axiom-website/patches.html 20141228.05.tpd.patch
+20141228 tpd src/axiom-website/videos.html add videos
 20141228 tpd src/axiom-website/patches.html 20141228.04.tpd.patch
 20141228 tpd books/bookvol5 close bug 7274
 20141228 tpd buglist: mark bug 7274 fixed
diff --git a/patch b/patch
index c3a6315..8b6ffa7 100644
--- a/patch
+++ b/patch
@@ -1,2 +1,6 @@
-buglist: bug 7274 was fixed by 20141228.04.tpd.patch
+src/axiom-website/videos.html add videos
+
+Add Bug Report Tracking, Debugging Axiom Lisp Failure,
+and Closing a Reported Bug videos
+
 
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index 5d7d335..c5c8479 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -4858,8 +4858,10 @@ src/axiom-website/videos.html add LP in the Large video<br/>
 git add books/bookvol5, bookvol9 add additional functions<br/>
 <a href="patches/20141228.03.tpd.patch">20141228.03.tpd.patch</a>
 buglist: bug 7274: Hyperdoc failed <br/>
-<a href="patches/20141228.04.tpd.patch">20141228.03.tpd.patch</a>
-buglist: bug 7274 was fixed by 20141228.04.tpd.patch
+<a href="patches/20141228.04.tpd.patch">20141228.04.tpd.patch</a>
+buglist: bug 7274 was fixed by 20141228.04.tpd.patch<br/>
+<a href="patches/20141228.05.tpd.patch">20141228.05.tpd.patch</a>
+src/axiom-website/videos.html add videos<br/>
  </body>
 </html>
 
diff --git a/src/axiom-website/videos.html b/src/axiom-website/videos.html
index 67b51d6..3e28ce6 100644
--- a/src/axiom-website/videos.html
+++ b/src/axiom-website/videos.html
@@ -134,7 +134,8 @@
  <tr> 
   <td><b>Axiom Information Sources</b></td>
   <td><a href="http://www.youtube.com/watch?v=CV8y3UrpadY">youtube</a></td>
-  <td><a href="informationsources.html">wmv</a></td>
+  <td><a href="informationsources.html">wmv</a>,
+      <a href="AxiomComputerAlgebraSystemInformationSources.mp4">mp4</a></td>
   <td><a href="informationsources.pdf">pdf</a></td>
  </tr>
  <tr> 
@@ -162,26 +163,47 @@
   <td><b>Documentation</b></td>
  </tr>
  <tr> 
-  <td><b>Adding Algebra</b></td>
+  <td style="text-align:left"><b>Adding Algebra</b></td>
   <td>.</td>
   <td><a href="AddingAlgebra.mp4">mp4</a></td>
   <td>.</td>
  </tr>
 
  <tr> 
-  <td><b>Website Pages</b></td>
+  <td style="text-align:left"><b>Website Pages</b></td>
   <td>.</td>
   <td><a href="WebsitePages.mp4">mp4</a></td>
   <td>.</td>
  </tr>
 
  <tr> 
-  <td><b>Building Test Cases</b></td>
+  <td style="text-align:left"><b>Building Test Cases</b></td>
   <td>.</td>
   <td><a href="BuildingTestCases.mp4">mp4</a></td>
   <td>.</td>
  </tr>
 
+ <tr> 
+  <td style="text-align:left"><b>Bug Report Tracking</b></td>
+  <td>.</td>
+  <td><a href="BugReportTracking.mp4">mp4</a></td>
+  <td>.</td>
+ </tr>
+
+ <tr> 
+  <td style="text-align:left"><b>Debugging Axiom Lisp Failure</b></td>
+  <td>.</td>
+  <td><a href="DebuggingAxiomLispFailure.mp4">mp4</a></td>
+  <td>.</td>
+ </tr>
+
+ <tr> 
+  <td style="text-align:left"><b>Closing a Reported Bug</b></td>
+  <td>.</td>
+  <td><a href="ClosingAReportedBugInAxiom.mp4">mp4</a></td>
+  <td>.</td>
+ </tr>
+
 </table>
 </div>
 
